package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 能源对象属性对象 adm_ems_obj_attr
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public class EmsObjAttr
{
    /** 序号 */
    private Long id;

    /** 模型code */
    private String modelCode;

    /** 属性类型 */
    private String attrGroup;

    /** 属性标识 */
    private String attrKey;

    /** 属性名称 */
    private String attrName;

    /** 属性单位 */
    private String attrUnit;

    /** 属性值类型 */
    private String attrValueType;

    private List<EmsObjAttrEnum> valueEnums;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setModelCode(String modelCode) 
    {
        this.modelCode = modelCode;
    }

    public String getModelCode() 
    {
        return modelCode;
    }

    public String getAttrGroup() {
        return attrGroup;
    }

    public void setAttrGroup(String attrGroup) {
        this.attrGroup = attrGroup;
    }

    public void setAttrKey(String attrKey)
    {
        this.attrKey = attrKey;
    }

    public String getAttrKey() 
    {
        return attrKey;
    }
    public void setAttrName(String attrName) 
    {
        this.attrName = attrName;
    }

    public String getAttrName() 
    {
        return attrName;
    }

    public void setAttrUnit(String attrUnit) 
    {
        this.attrUnit = attrUnit;
    }

    public String getAttrUnit() 
    {
        return attrUnit;
    }

    public String getAttrValueType() {
        return attrValueType;
    }

    public void setAttrValueType(String attrValueType) {
        this.attrValueType = attrValueType;
    }

    public List<EmsObjAttrEnum> getValueEnums() {
        return valueEnums;
    }

    public void setValueEnums(List<EmsObjAttrEnum> valueEnums) {
        this.valueEnums = valueEnums;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("modelCode", getModelCode())
            .append("attrGroup", getAttrGroup())
            .append("attrKey", getAttrKey())
            .append("attrName", getAttrName())
            .append("attrUnit", getAttrUnit())
            .append("attrValueType", getAttrValueType())
            .toString();
    }
}
